## org.eclipse.datatools.modelbase.sql.datatypes
Interface CharacterSet

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  CharacterSetImpl

public interface CharacterSet
extends SQLObject

A representation of the model object 'Character Set'. Reference: 5WD-02-Foundation-2002-12 4.2.6 Character sets, 5WD-02-Foundation-2002-12 4.2.7 Universal character sets

The following features are supported:

- `Repertoire`
- `Default Collation`
- `Encoding`
- `Schema`

See Also:
  `SQLDataTypesPackage.getCharacterSet()`

Method Summary
`java.lang.String` `getDefaultCollation()` Returns the value of the 'Default Collation' attribute.
`java.lang.String` `getEncoding()` Returns the value of the 'Encoding' attribute.
`java.lang.String` `getRepertoire()` Returns the value of the 'Repertoire' attribute.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`void` `setDefaultCollation(java.lang.String value)` Sets the value of the '`Default Collation`' attribute.
`void` `setEncoding(java.lang.String value)` Sets the value of the '`Encoding`' attribute.
`void` `setRepertoire(java.lang.String value)` Sets the value of the '`Repertoire`' attribute.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getRepertoire

    public java.lang.String getRepertoire()

  Returns the value of the 'Repertoire' attribute.

  If the meaning of the 'Repertoire' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Repertoire' attribute.
  See Also:
    `setRepertoire(String)`, `SQLDataTypesPackage.getCharacterSet_Repertoire()`

### setRepertoire

    public void setRepertoire(java.lang.String value)

  Sets the value of the '`Repertoire`' attribute.

  Parameters:
    `value` - the new value of the 'Repertoire' attribute.
  See Also:
    `getRepertoire()`

### getDefaultCollation

    public java.lang.String getDefaultCollation()

  Returns the value of the 'Default Collation' attribute.

  If the meaning of the 'Default Collation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Collation' attribute.
  See Also:
    `setDefaultCollation(String)`, `SQLDataTypesPackage.getCharacterSet_DefaultCollation()`

### setDefaultCollation

    public void setDefaultCollation(java.lang.String value)

  Sets the value of the '`Default Collation`' attribute.

  Parameters:
    `value` - the new value of the 'Default Collation' attribute.
  See Also:
    `getDefaultCollation()`

### getEncoding

    public java.lang.String getEncoding()

  Returns the value of the 'Encoding' attribute.

  If the meaning of the 'Encoding' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding' attribute.
  See Also:
    `setEncoding(String)`, `SQLDataTypesPackage.getCharacterSet_Encoding()`

### setEncoding

    public void setEncoding(java.lang.String value)

  Sets the value of the '`Encoding`' attribute.

  Parameters:
    `value` - the new value of the 'Encoding' attribute.
  See Also:
    `getEncoding()`

### getSchema

    public Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Char Sets`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLDataTypesPackage.getCharacterSet_Schema()`, `Schema.getCharSets()`

### setSchema

    public void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.